Validate realms/puppetrun providers 

12/12/2016 05:01 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Foreman modules   

Target version: 1.15.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman_proxy/pull/314

  

Description

The puppetrun and realm providers accept any value, which can make the installer setup the proxy wrong

Related issues:

Related to Installer - Bug #17595: foreman-installer does not check for corre... Resolved 12/06/2016

Has duplicate Installer - Bug #17117: Document valid values for puppetrun_pro... Duplicate 10/27/2016

Associated revisions

Revision 45b8161d - 12/19/2016 10:39 AM - Daniel Lobato García 

Fixes #17631 - Validate puppetrun and realm providers

This commit adds checks for the puppetrun/realms providers so that they

have to be compliant with a certain regex in order to be accepted as

parameters.

History

#1 - 12/12/2016 05:01 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/314 added

#2 - 12/12/2016 05:01 AM - Daniel Lobato Garcia

- Related to Bug #17595: foreman-installer does not check for correct values in DNS/DHCP providers added

#3 - 12/13/2016 09:52 AM - Daniel Lobato Garcia

- Target version set to 1.4.3

#4 - 12/19/2016 11:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset puppet-foreman_proxy|45b8161d35880c89ceabd812a5470e88d039e707.

#5 - 12/20/2016 04:15 AM - Dominic Cleal

- translation missing: en.field_release set to 209

#6 - 12/20/2016 09:55 AM - Daniel Lobato Garcia

- Target version changed from 1.4.3 to 1.15.5

#7 - 04/07/2017 04:51 AM - Dominic Cleal
https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-foreman_proxy/revisions/45b8161d35880c89ceabd812a5470e88d039e707


- Has duplicate Bug #17117: Document valid values for puppetrun_provider added
